#pragma once

#include "ILifeCycle.h"
#include "IActivity.h"

class AppCore
        : public ILifeCycle
{
public:
    AppCore();

    void begin() override;

    void loop() override;

    void setActivity(IActivity* activity);

    IActivity* getCurrentActivity() const;

protected:
    IActivity* m_currentActivity;
};
