#pragma once


#include "IInput.h"
#include "Boiler.h"
#include "JC_Button.h"

class HibernateService
        : public IInput<bool>
{
public:
    HibernateService();

    void begin() override;

    void loop() override;

    void setPaused(bool paused);

protected:
    Button* m_buttons[5];

    timestamp_t m_lastEventMs;

    bool m_paused;
};
